Get a workspace member
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/members/{memberId} \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"memberId": "0193f1c2-7a4e-7b10-9c3d-5e6f7a8b9c0d",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revision": 1,
"userId": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"attributes": {},
"assignmentSource": "api",
"projects": [
{
"id": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"name": "<string>"
}
],
"projectsTruncated": true
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}Get a workspace member
Get one workspace member with their status, role, external ID, and project memberships.
GET
/
api
/
public
/
v1
/
workspaces
/
{workspaceId}
/
members
/
{memberId}
Get a workspace member
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/members/{memberId} \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"memberId": "0193f1c2-7a4e-7b10-9c3d-5e6f7a8b9c0d",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revision": 1,
"userId": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"attributes": {},
"assignmentSource": "api",
"projects": [
{
"id": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"name": "<string>"
}
],
"projectsTruncated": true
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}externalId, and attributes. The projects list can be cut short. The projectsTruncated field is true when it is.
The ETag response header holds the member’s revision. Send it in the If-Match header when you update the member. The request needs the workspace.members.read scope.Authorizations
platformApiKeybearerPlatformKey
Path Parameters
Was this page helpful?